<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="sdms">
  <process id="vehicle-customer-request" name="vehicle-customer-request" isExecutable="true">
    <startEvent id="startevent1" name="Start"></startEvent>
    <sequenceFlow id="flow1" sourceRef="startevent1" targetRef="servicetask1"></sequenceFlow>
    <serviceTask id="servicetask1" name="Process VCR" activiti:expression="#{vcrImpl.process(execution)}"></serviceTask>
    <exclusiveGateway id="exclusivegateway1" name="Exclusive Gateway"></exclusiveGateway>
    <sequenceFlow id="flow2" sourceRef="servicetask1" targetRef="exclusivegateway1"></sequenceFlow>
    <sequenceFlow id="flow3" sourceRef="exclusivegateway1" targetRef="servicetask4">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[#{request.requestType.idRequestType == 102}]]></conditionExpression>
    </sequenceFlow>
    <exclusiveGateway id="exclusivegateway2" name="Exclusive Gateway"></exclusiveGateway>
    <sequenceFlow id="flow4" sourceRef="servicetask4" targetRef="exclusivegateway2"></sequenceFlow>
    <sequenceFlow id="flow5" sourceRef="exclusivegateway1" targetRef="servicetask3">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[#{request.requestType.idRequestType == 103}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="flow6" sourceRef="servicetask3" targetRef="exclusivegateway2"></sequenceFlow>
    <sequenceFlow id="flow7" sourceRef="exclusivegateway1" targetRef="servicetask2">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[#{request.requestType.idRequestType == 101}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="flow8" sourceRef="servicetask2" targetRef="exclusivegateway2"></sequenceFlow>
    <serviceTask id="servicetask2" name="Group Company" activiti:expression="#{vcrImpl.processGC(execution)}">
      <multiInstanceLoopCharacteristics isSequential="false" activiti:collection="listItem" activiti:elementVariable="item"></multiInstanceLoopCharacteristics>
    </serviceTask>
    <serviceTask id="servicetask3" name="Group Person" activiti:expression="#{vcrImpl.processGP(execution)}">
      <multiInstanceLoopCharacteristics isSequential="false" activiti:collection="listItem" activiti:elementVariable="item"></multiInstanceLoopCharacteristics>
    </serviceTask>
    <serviceTask id="servicetask4" name="Direct Sales" activiti:expression="#{vcrImpl.processDS(execution)}">
      <multiInstanceLoopCharacteristics isSequential="false" activiti:collection="listItem" activiti:elementVariable="item"></multiInstanceLoopCharacteristics>
    </serviceTask>
    <sequenceFlow id="flow9" sourceRef="exclusivegateway2" targetRef="servicetask5"></sequenceFlow>
    <endEvent id="endevent1" name="End"></endEvent>
    <sequenceFlow id="flow10" sourceRef="servicetask5" targetRef="endevent1"></sequenceFlow>
    <serviceTask id="servicetask5" name="Close VCR" activiti:expression="#{vcrImpl.close(execution)}"></serviceTask>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_vehicle-customer-request">
    <bpmndi:BPMNPlane bpmnElement="vehicle-customer-request" id="BPMNPlane_vehicle-customer-request">
      <bpmndi:BPMNShape bpmnElement="startevent1" id="BPMNShape_startevent1">
        <omgdc:Bounds height="35.0" width="35.0" x="100.0" y="180.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask1" id="BPMNShape_servicetask1">
        <omgdc:Bounds height="55.0" width="105.0" x="200.0" y="170.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="exclusivegateway1" id="BPMNShape_exclusivegateway1">
        <omgdc:Bounds height="40.0" width="40.0" x="370.0" y="177.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="exclusivegateway2" id="BPMNShape_exclusivegateway2">
        <omgdc:Bounds height="40.0" width="40.0" x="680.0" y="175.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask2" id="BPMNShape_servicetask2">
        <omgdc:Bounds height="55.0" width="105.0" x="490.0" y="280.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask3" id="BPMNShape_servicetask3">
        <omgdc:Bounds height="55.0" width="105.0" x="490.0" y="168.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask4" id="BPMNShape_servicetask4">
        <omgdc:Bounds height="55.0" width="105.0" x="490.0" y="70.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="endevent1" id="BPMNShape_endevent1">
        <omgdc:Bounds height="35.0" width="35.0" x="915.0" y="178.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask5" id="BPMNShape_servicetask5">
        <omgdc:Bounds height="55.0" width="105.0" x="765.0" y="168.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="flow1" id="BPMNEdge_flow1">
        <omgdi:waypoint x="135.0" y="197.0"></omgdi:waypoint>
        <omgdi:waypoint x="200.0" y="197.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow2" id="BPMNEdge_flow2">
        <omgdi:waypoint x="305.0" y="197.0"></omgdi:waypoint>
        <omgdi:waypoint x="370.0" y="197.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow3" id="BPMNEdge_flow3">
        <omgdi:waypoint x="390.0" y="177.0"></omgdi:waypoint>
        <omgdi:waypoint x="390.0" y="97.0"></omgdi:waypoint>
        <omgdi:waypoint x="490.0" y="97.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow4" id="BPMNEdge_flow4">
        <omgdi:waypoint x="595.0" y="97.0"></omgdi:waypoint>
        <omgdi:waypoint x="700.0" y="97.0"></omgdi:waypoint>
        <omgdi:waypoint x="700.0" y="175.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow5" id="BPMNEdge_flow5">
        <omgdi:waypoint x="410.0" y="197.0"></omgdi:waypoint>
        <omgdi:waypoint x="490.0" y="195.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow6" id="BPMNEdge_flow6">
        <omgdi:waypoint x="595.0" y="195.0"></omgdi:waypoint>
        <omgdi:waypoint x="680.0" y="195.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow7" id="BPMNEdge_flow7">
        <omgdi:waypoint x="390.0" y="217.0"></omgdi:waypoint>
        <omgdi:waypoint x="390.0" y="307.0"></omgdi:waypoint>
        <omgdi:waypoint x="490.0" y="307.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow8" id="BPMNEdge_flow8">
        <omgdi:waypoint x="595.0" y="307.0"></omgdi:waypoint>
        <omgdi:waypoint x="700.0" y="307.0"></omgdi:waypoint>
        <omgdi:waypoint x="700.0" y="215.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow9" id="BPMNEdge_flow9">
        <omgdi:waypoint x="720.0" y="195.0"></omgdi:waypoint>
        <omgdi:waypoint x="765.0" y="195.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow10" id="BPMNEdge_flow10">
        <omgdi:waypoint x="870.0" y="195.0"></omgdi:waypoint>
        <omgdi:waypoint x="915.0" y="195.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>